Author: Alex Valavanis <valavanisalex@gmail.com>
Subject: Add "Name: " header to GIMP palettes
Bug-Ubuntu: https://bugs.launchpad.net/bugs/781350
Bug-Debian: http://bugs.debian.org/626419
Bug: https://bugs.launchpad.net/bugs/781350
---
 swatches/Bears              |    2 ++
 swatches/Bgold              |    2 ++
 swatches/Blues              |    2 ++
 swatches/Borders            |    2 ++
 swatches/Browns_And_Yellows |    1 +
 swatches/Caramel            |    2 ++
 swatches/Cascade            |    2 ++
 swatches/China              |    2 ++
 swatches/Coldfire           |    2 ++
 swatches/Cool_Colors        |    1 +
 swatches/Cranes             |    2 ++
 swatches/Dark_pastels       |    2 ++
 swatches/Default            |    1 +
 swatches/Ega                |    2 ++
 swatches/Firecode           |    2 ++
 swatches/Gold               |    2 ++
 swatches/GrayViolet         |    2 ++
 swatches/Grayblue           |    2 ++
 swatches/Grays              |    2 ++
 swatches/Greens             |    2 ++
 swatches/Hilite             |    2 ++
 swatches/Kahki              |    2 ++
 swatches/Lights             |    1 +
 swatches/Muted              |    1 +
 swatches/Named_Colors       |    1 +
 swatches/News3              |    2 ++
 swatches/Op2                |    2 ++
 swatches/Paintjet           |    2 ++
 swatches/Pastels            |    1 +
 swatches/Plasma             |    2 ++
 swatches/Reds               |    2 ++
 swatches/Reds_And_Purples   |    1 +
 swatches/Royal              |    2 ++
 swatches/Topographic        |    2 ++
 swatches/Visibone           |    1 +
 swatches/Visibone2          |    1 +
 swatches/Volcano            |    2 ++
 swatches/Warm_Colors        |    1 +
 38 files changed, 65 insertions(+)

--- create-resources.orig/swatches/Volcano
+++ create-resources/swatches/Volcano
@@ -1,4 +1,6 @@
 GIMP Palette
+Name: Volcano
+#
   0   0   0 		grey0
   0   0   0 		grey0
   0   0   8
--- create-resources.orig/swatches/Dark_pastels
+++ create-resources/swatches/Dark_pastels
@@ -1,4 +1,6 @@
 GIMP Palette
+Name: Dark pastels
+#
   0   0   0 		grey0
  56 104 184
  52 104 180
--- create-resources.orig/swatches/Coldfire
+++ create-resources/swatches/Coldfire
@@ -1,4 +1,6 @@
 GIMP Palette
+Name: Coldfire
+#
   0   0   0 		grey0
   0 172 252
   0 172 252
--- create-resources.orig/swatches/Named_Colors
+++ create-resources/swatches/Named_Colors
@@ -1,4 +1,5 @@
 GIMP Palette
+Name: Named Colors
 # Named_Colors -- GIMP Palette file
 255 250 250		snow (255 250 250)
 248 248 255		ghost white (248 248 255)
--- create-resources.orig/swatches/Topographic
+++ create-resources/swatches/Topographic
@@ -1,4 +1,6 @@
 GIMP Palette
+Name: Topographic
+#
   0   0   0 		grey0
   0   0 168
   4   0 172
--- create-resources.orig/swatches/Cranes
+++ create-resources/swatches/Cranes
@@ -1,4 +1,6 @@
 GIMP Palette
+Name: Cranes
+#
   8   8   8 		grey3
 192 176 144
 192 164 128
--- create-resources.orig/swatches/Visibone
+++ create-resources/swatches/Visibone
@@ -1,4 +1,5 @@
 GIMP Palette
+Name: Visibone
 # Visibone -- GIMP Palette file
 #
 #  Arrangement idea from www.visibone.com
--- create-resources.orig/swatches/Kahki
+++ create-resources/swatches/Kahki
@@ -1,4 +1,6 @@
 GIMP Palette
+Name: Kahki
+#
   0   0   0 		grey0
 144 132 108
 144 132 112
--- create-resources.orig/swatches/Grays
+++ create-resources/swatches/Grays
@@ -1,4 +1,6 @@
 GIMP Palette
+Name: Grays
+#
 0 0 0	gray0
 7 7 7	gray3
 15 15 15	gray6
--- create-resources.orig/swatches/Plasma
+++ create-resources/swatches/Plasma
@@ -1,4 +1,6 @@
 GIMP Palette
+Name: Plasma
+#
 240 240   0
 240 224   0
 240 208   0
--- create-resources.orig/swatches/GrayViolet
+++ create-resources/swatches/GrayViolet
@@ -1,4 +1,6 @@
 GIMP Palette
+Name: GrayViolet
+#
   0   0   0 		grey0
   0   0   0 		grey0
   4   4   4
--- create-resources.orig/swatches/Default
+++ create-resources/swatches/Default
@@ -1,4 +1,5 @@
 GIMP Palette
+Name: Default
 # Default -- GIMP Palette file
 255 0 0	Red
 255 0 255	Magenta
--- create-resources.orig/swatches/News3
+++ create-resources/swatches/News3
@@ -1,4 +1,6 @@
 GIMP Palette
+Name: News3
+#
   0   0   0 		grey0
 236 232   4
 232 232   4
--- create-resources.orig/swatches/Paintjet
+++ create-resources/swatches/Paintjet
@@ -1,4 +1,6 @@
 GIMP Palette
+Name: Paintjet
+#
  24  20  12
 244 240 232
 196  68  72
--- create-resources.orig/swatches/Firecode
+++ create-resources/swatches/Firecode
@@ -1,4 +1,6 @@
 GIMP Palette
+Name: Firecode
+#
   0   0   0 		grey0
   0   0  24
   0   0  24
--- create-resources.orig/swatches/Cool_Colors
+++ create-resources/swatches/Cool_Colors
@@ -1,4 +1,5 @@
 GIMP Palette
+Name: Cool Colors
 # Cool Colors -- GIMP Palette file
 17 42 198	Untitled
 83 155 226	Untitled
--- create-resources.orig/swatches/Lights
+++ create-resources/swatches/Lights
@@ -1,4 +1,5 @@
 GIMP Palette
+Name: Lights
 # Light colors  --  from rgb.txt
 255 250 250	Snow
 248 248 255	Ghost White
--- create-resources.orig/swatches/China
+++ create-resources/swatches/China
@@ -1,4 +1,6 @@
 GIMP Palette
+Name: China
+#
   0   0   0 		grey0
 224  76 240
 224  80 240
--- create-resources.orig/swatches/Greens
+++ create-resources/swatches/Greens
@@ -1,4 +1,6 @@
 GIMP Palette
+Name: Greens
+#
   0   0   0 		grey0
   0   0   0 		grey0
   0   4   0
--- create-resources.orig/swatches/Bears
+++ create-resources/swatches/Bears
@@ -1,4 +1,6 @@
 GIMP Palette
+Name: Bears
+#
   8   8   8 		grey3
  68  44  44
  80   8  12
--- create-resources.orig/swatches/Visibone2
+++ create-resources/swatches/Visibone2
@@ -1,4 +1,5 @@
 GIMP Palette
+Name: Visibone2
 # Visibone2 -- GIMP Palette file
 #
 #  Arrangement idea from www.visibone.com
--- create-resources.orig/swatches/Cascade
+++ create-resources/swatches/Cascade
@@ -1,4 +1,6 @@
 GIMP Palette
+Name: Cascade
+#
   0   0   0 		grey0
 108  88 128
 108  88 128
--- create-resources.orig/swatches/Ega
+++ create-resources/swatches/Ega
@@ -1,4 +1,6 @@
 GIMP Palette
+Name: Ega
+#
   0   0   0 		grey0
 168   0 168
 252  84  84
--- create-resources.orig/swatches/Reds
+++ create-resources/swatches/Reds
@@ -1,4 +1,6 @@
 GIMP Palette
+Name: Reds
+#
   0   0   0 		grey0
  76   0   0
  76   0   0
--- create-resources.orig/swatches/Gold
+++ create-resources/swatches/Gold
@@ -1,4 +1,6 @@
 GIMP Palette
+Name: Gold
+#
   0   0   0 		grey0
 252 252 128
 252 252 128
--- create-resources.orig/swatches/Borders
+++ create-resources/swatches/Borders
@@ -1,4 +1,6 @@
 GIMP Palette
+Name: Borders
+#
   0   0   0 		grey0
 204  52 180
 204  52 184
--- create-resources.orig/swatches/Grayblue
+++ create-resources/swatches/Grayblue
@@ -1,4 +1,6 @@
 GIMP Palette
+Name: Grayblue
+#
   0   0   0 		grey0
 124 164 128
 124 164 124
--- create-resources.orig/swatches/Op2
+++ create-resources/swatches/Op2
@@ -1,4 +1,6 @@
 GIMP Palette
+Name: Op2
+#
   0   0   0 		grey0
 204 144 100
 200 148 104
--- create-resources.orig/swatches/Blues
+++ create-resources/swatches/Blues
@@ -1,4 +1,6 @@
 GIMP Palette
+Name: Blues
+#
   0   0   0 		grey0
   0   0   0 		grey0
   0   0   4
--- create-resources.orig/swatches/Warm_Colors
+++ create-resources/swatches/Warm_Colors
@@ -1,4 +1,5 @@
 GIMP Palette
+Name: Warm Colors
 # Warm Colors -- GIMP Palette file
 196 9 9	Untitled
 216 213 8	Untitled
--- create-resources.orig/swatches/Reds_And_Purples
+++ create-resources/swatches/Reds_And_Purples
@@ -1,4 +1,5 @@
 GIMP Palette
+Name: Reds and Purples
 # Reds and Purples, an extraordinary mix!  -- rgb.txt
 205  92  92	Indian Red
 178  34  34	Firebrick
--- create-resources.orig/swatches/Royal
+++ create-resources/swatches/Royal
@@ -1,4 +1,6 @@
 GIMP Palette
+Name: Royal
+#
   0   0   0 		grey0
  60   0  80
  60   0  80
--- create-resources.orig/swatches/Pastels
+++ create-resources/swatches/Pastels
@@ -1,4 +1,5 @@
 GIMP Palette
+Name: Pastels
 # Pastels -- GIMP Palette file
 226 145 145	Untitled
 153 221 146	Untitled
--- create-resources.orig/swatches/Browns_And_Yellows
+++ create-resources/swatches/Browns_And_Yellows
@@ -1,4 +1,5 @@
 GIMP Palette
+Name: Browns and Yellows
 #  Browns and Yellows!!!!  --  rgb.txt
 189 183 107	Dark Khaki
 240 230 140	Khaki
--- create-resources.orig/swatches/Muted
+++ create-resources/swatches/Muted
@@ -1,4 +1,5 @@
 GIMP Palette
+Name: Muted
 # Muted colors  --  from rgb.txt
 139 137 137	Snow
 139 134 130	Seashell
--- create-resources.orig/swatches/Hilite
+++ create-resources/swatches/Hilite
@@ -1,4 +1,6 @@
 GIMP Palette
+Name: Hilite
+#
   0   0   0 		grey0
 164 144 180
 160 144 180
--- create-resources.orig/swatches/Bgold
+++ create-resources/swatches/Bgold
@@ -1,4 +1,6 @@
 GIMP Palette
+Name: Bgold
+#
   0   0   0 		grey0
 236 216  20
 236 216  20
--- create-resources.orig/swatches/Caramel
+++ create-resources/swatches/Caramel
@@ -1,4 +1,6 @@
 GIMP Palette
+Name: Caramel
+#
  48  48  48  		grey19
 164 136 192
 172 140 192
